MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002491VCMIMechanics - Battlespublic2016-09-21 09:492016-11-11 08:01
ReporterPovelitel 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002491: Armagedon have wrong animation he is looks as Meteor shower
DescriptionI wrong and thinked it's Meteor shower
TagsNo tags attached.
Attached Filespng file icon Я вижу это так.png [^] (2,258,925 bytes) 2016-09-21 22:18
rar file icon armag.rar [^] (1,339,881 bytes) 2016-09-22 13:24

- Relationships

-  Notes
(0006695)
AVS (administrator)
2016-09-21 15:16


Armageddon = C06SPF0.def
meteorShower = C08SPE0.def

Is that correct?
(0006705)
AVS (administrator)
2016-09-22 12:40

>Я вижу это так.png

This is right animation but bug in spellcast.
(0006706)
AVS (administrator)
2016-09-22 12:45

If you change armageddon`s "range" : "X" to smth else it will look like Я вижу это так.png.

I need savegame to reproduce that. It works ok in develop and PR198.
(0006711)
Povelitel (updater)
2016-09-22 13:23
edited on: 2016-09-22 13:25

Глючит когда юзает вражеский герой.
Я когда сделал скрин уже и сам присмотрелся на картинке, что оно не похоже на метеор, просто так оно казалось им.

(0006713)
AVS (administrator)
2016-09-22 13:40

Перепроверю опять же с PR198. Скорее всего это тоже пофиксено.
ИИ в апстриме кастует массовые заклинания на конкретный юнит, это исправлено в 198. А когда он кастует на конкретный юнит анимация думает что это не массовое заклинание и показывает только над целью.
(0006715)
AVS (administrator)
2016-09-22 13:58

Да, пофиксено в PR198
(0006725)
SXX (administrator)
2016-09-23 05:23

Tested. Fixed in PR198:
https://github.com/vcmi/vcmi/pull/198 [^]

- Issue History
Date Modified Username Field Change
2016-09-21 09:49 Povelitel New Issue
2016-09-21 10:04 Povelitel Note Added: 0006693
2016-09-21 10:13 Povelitel Summary Meteor shower works incorrect => Armagedon have wrong animation he is looks as Meteor shower
2016-09-21 10:13 Povelitel Description Updated View Revisions
2016-09-21 10:13 Povelitel Note Deleted: 0006693
2016-09-21 15:16 AVS Note Added: 0006695
2016-09-21 15:16 AVS Assigned To => AVS
2016-09-21 15:16 AVS Status new => feedback
2016-09-21 22:18 Povelitel File Added: Я вижу это так.png
2016-09-22 12:40 AVS Note Added: 0006705
2016-09-22 12:45 AVS Note Added: 0006706
2016-09-22 13:23 Povelitel Note Added: 0006711
2016-09-22 13:23 Povelitel Status feedback => assigned
2016-09-22 13:24 Povelitel File Added: armag.rar
2016-09-22 13:25 Povelitel Note Edited: 0006711 View Revisions
2016-09-22 13:40 AVS Note Added: 0006713
2016-09-22 13:58 AVS Note Added: 0006715
2016-09-23 05:23 SXX Note Added: 0006725
2016-09-23 05:23 SXX Status assigned => resolved
2016-09-23 05:23 SXX Fixed in Version => 0.99
2016-09-23 05:23 SXX Resolution open => fixed
2016-11-11 08:01 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean